import { BlockMap } from 'notion-types';
export { isUrl, formatDate, formatNotionDateTime } from 'notion-utils';
export * from './map-image-url';
export * from './map-page-url';
export declare const cs: (...classes: Array<string | undefined | false>) => string;
export declare const getListNumber: (blockId: string, blockMap: BlockMap) => number;
export declare const getHashFragmentValue: (url: string) => string;
export declare const isBrowser: boolean;
export declare const getYoutubeId: (url: string) => string | null;
/**
 * Get dates and month in an array of weeks based on the year and on the month
 * @param year
 * @param month
 * @param startWeekOnMonday
 * @returns An array of objects with month and date number
 */
export declare const getWeeksInMonth: (year: number, month: number, startWeekOnMonday?: boolean) => {
    date: number;
    month: number;
    year: number;
}[][];
//# sourceMappingURL=utils.d.ts.map